Skip to content
Start here

Connect to a specific Chrome DevTools page.

browser_rendering.devtools.browser.page.get(strtarget_id, PageGetParams**kwargs)
GET/accounts/{account_id}/browser-rendering/devtools/browser/{session_id}/page/{target_id}

Establishes a WebSocket connection to a specific Chrome DevTools target or page.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Browser Rendering WriteBrowser Rendering Read
ParametersExpand Collapse
account_id: str

Account ID.

session_id: str

Browser session ID.

formatuuid
target_id: str

Target ID, e.g. page ID.

Connect to a specific Chrome DevTools page.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
client.browser_rendering.devtools.browser.page.get(
    target_id="target_id",
    account_id="account_id",
    session_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
Returns Examples